	MODULE MRAT_OBS_MOD
C
C------------------------------------------------------------------------
C 	DESCRITION AND DISTRIBUTIONS OF TRANSPORTED
C 	AND TRANSIENT SPECIES
C
C	AUTHOR	: HERVE LE BERRE	- CERFACS -
C	DATE		: 03/08/2005
C	VERSION	: 1_0_0
C------------------------------------------------------------------------
C
	USE palm_user_param
C
	IMPLICIT NONE
C
	CHARACTER(LEN=15) , ALLOCATABLE , SAVE :: 
     $     TRANAM1obs(:),SLSNAM1obs(:)
	REAL (KIND=8), ALLOCATABLE , SAVE, TARGET :: QQQM1OLD(:,:,:,:)
	REAL (KIND=8), ALLOCATABLE , SAVE, TARGET  :: HHHM1OLD(:,:,:,:)
C
	INTEGER, ALLOCATABLE, SAVE :: iga_assim_idx(:)
	CHARACTER(LEN=16) , ALLOCATABLE , SAVE :: cga_assim_spe(:)
C
	CONTAINS
C
	SUBROUTINE ALLOC_MRAT_OBS
C
	ALLOCATE (TRANAM1obs(ip_nassim))
	ALLOCATE (QQQM1OLD(ip_lono1,ip_lato1,ip_nivm1,ip_nassim))
	IF (ip_nsls1 .gt. 0) THEN
	    ALLOCATE (SLSNAM1obs(ip_nsls1))
	    ALLOCATE (HHHM1OLD(ip_lono1,ip_lato1,ip_nivm1,ip_nsls1))
	ENDIF
C
	ALLOCATE (iga_assim_idx(ip_nassim))
	ALLOCATE (cga_assim_spe(ip_nassim))
C
	END SUBROUTINE ALLOC_MRAT_OBS
C
	SUBROUTINE DEALLOC_MRAT_OBS
C
	DEALLOCATE (TRANAM1obs)
	DEALLOCATE (QQQM1OLD)
	IF (ip_nsls1 .gt. 0) THEN
	    DEALLOCATE (SLSNAM1obs)
	    DEALLOCATE (HHHM1OLD)
	ENDIF
C
	DEALLOCATE (iga_assim_idx)
	DEALLOCATE (cga_assim_spe)
C
	END SUBROUTINE DEALLOC_MRAT_OBS
C
	END MODULE MRAT_OBS_MOD
