SUBROUTINE NORME_SPHERE(rda_v)
!
! 0. DECLARATION
!------------------
!
! 0.1. Modules declaration
!
  USE palm_user_param
  USE palmlib
  USE sqrtB_mod
!
! 0.2. Implicit
!
  IMPLICIT NONE
!
! 0.3. Dummy variables
!
  REAL, DIMENSION(ip_lonc1,ip_latc1,ip_nivm1,ip_nassim) :: rda_v
!
! 0.4. Local variables
!
  INTEGER :: ib_lat
!
!-------------------------
!
  IF (ip_scrip .eq. 1) THEN
      DO ib_lat = 1, ip_latc1
	rda_v(:,ib_lat,:,:) = rda_v(:,ib_lat,:,:) / &
	   SQRT(dga_wts(ib_lat))
      ENDDO
  ELSE
      DO ib_lat = 1, ip_latc1
	rda_v(:,ib_lat,:,:) = rda_v(:,ib_lat,:,:) / &
	   SQRT(dga_wts(ib_lat)/MAXVAL(dga_wts(:)))
      ENDDO
  ENDIF
!
!-------------------------
!
END SUBROUTINE NORME_SPHERE
