#!/bin/ksh
#
#===============#
# Forcing files #
#===============#
#
echo
echo '==================='
echo '>>> Script getFM.sh'
echo '==================='
#
if [ $CFORC -eq 1 ] ; then
 echo '>> PREPARING FORCINGS'
 $MUTILS/shl/fpmocageN
#
 if [ $CFORCS -eq 1 ] ; then
  echo '>> SAVING FORCINGS ON : '$PATH_FM
#
  cp outdates_FM outdates
  LIST=`cat outdates`
#
  if [ $STATION_INPUT != DELAGE ] ; then
#
   for i in $LIST
   do
    for DOM in $LISTDOM
    do
     cp FM${DOM}+$i $PATH_FM/FM${DOM}+$i
    done
   done
#
  else
   rm -f filelist
   touch filelist
#
   for i in $LIST
   do
    for DOM in $LISTDOM
    do
cat > line << EOL
FM${DOM1}+$i $PATH_FM/FM${DOM1}+$i 
EOL
     cat filelist line > tempo
     mv tempo filelist
    done
   done
#
   FLIST=`cat filelist`
ftput << EOF  >> /dev/null 2> /dev/null
$FLIST
EOF
   rm filelist line
  fi
#
 fi
#
 echo '>> 3D FORCING FILES IN CURRENT DIRECTORY :'
 ls -l FM*
#
else
#
 if    [ $CRUN -eq 1 ] ; then
#	 
#  if [ $NAMEXPFOLD = NEW ] || [ $COLD = 0 ] ; then
#   PATHFOK=$PATHF
 #  NAMEXPOK=$NAMEXP
# ELF
 #  PATHFOK=$PATH_FM
  # NAMEXPOK=
#  else
 #  PATHFOK=$PATHFOLD
  # NAMEXPOK=$NAMEXPFOLD
#  fi	 
#  echo '>> RETRIEVING FORCING FILES FROM : '$PATHFOK/$NAMEXPOK
  echo '>> RETRIEVING FORCING FILES FROM : '$PATH_FM
#
  cp $PATH_WORK/outdates_FM outdates
  LIST=`cat outdates`
#
#  if [ $PATHFOK != DELAGE ] ; then
  if [ $STATION_INPUT != DELAGE ] ; then
#
   for i in $LIST
   do
    for DOM in $LISTDOM
    do
#     cp $PATHFOK/$NAMEXPOK/FM${DOM}+$i FM${DOM}+$i
     ln -s $PATH_FM/FM${DOM}+$i FM${DOM}+$i
    done
   done
  else
   rm -f filelist
   touch filelist
#
   for i in $LIST
   do
    for DOM in $LISTDOM
    do
cat > line << EOL
$PATH_FM/FM${DOM}+$i FM${DOM}+$i
EOL
     cat filelist line > tempo
     mv tempo filelist
#
    done
   done
#
FLIST=`cat filelist`
ftget << EOF  >> /dev/null
$FLIST
EOF
   rm filelist line
  fi
#
 fi
#
 if [ $CSAVEF -eq 1 ] ; then
  echo ' > COPYING 3D FORCINGS INTO CURRENT EXPERIMENT'  
#
  if [ $STATION_INPUT != DELAGE ] ; then
#
   for i in $LIST
   do
    for DOM in $LISTDOM
    do
     cp FM${DOM}+$i $PATH_FM/FM${DOM}+$i
    done
   done
#
  rm -r outdates
  else
  rm -f filelist
  touch filelist
#
  for i in $LIST
  do
   for DOM in $LISTDOM
   do
cat > line << EOL
FM${DOM}+$i $PATH_FM/FM${DOM}+$i 
EOL
    cat filelist line > tempo
    mv tempo filelist
   done
  done
#
FLIST=`cat filelist`
ftput << EOF  >> /dev/null 2> /dev/null
$FLIST
EOF
   rm filelist line
  fi
#
 fi
#
fi

echo '>> 3D FORCING FILES IN CURRENT DIRECTORY :'
ls -l FM*
