#!/bin/ksh
#
#==================================#
# Assimilation files (one per day) #
#==================================#
#
echo
echo '======================'
echo '>>> Script getassim.sh'
echo '======================'
#
if [ $CASSIM != 0 ] ; then
#
 cp $PATH_WORK/outdates_SM outdates
 LIST=`cat outdates`

 if [ $STATION_INPUT != DELAGE ] ; then
  echo '>> COPY OBSERVATION FILES FROM : '$PATH_ASSIM
  for i in $LIST
  do
   ln -s $PATH_ASSIM/HDAT+$i HDAT+$i
   ln -s $PATH_ASSIM/HCOV+$i HCOV+$i
   ln -s $PATH_ASSIM/HAVK+$i HAVK+$i
   j=`echo $i | cut -c 1-6`
   ln -s $PATH_STATS/BKG_ERR_STATS+$j.nc BKG_ERR_STATS+$j.nc
  done
 else
  echo '>> RETRIEVING OBSERVATION FILES FROM : '$PATH_ASSIM
  rm -f filelist
  touch filelist
  for i in $LIST
  do
    j=`echo $i | cut -c 1-6`
cat > line << EOL
$PATH_ASSIM/HDAT+$i HDAT+$i
$PATH_ASSIM/HCOV+$i HCOV+$i
$PATH_ASSIM/HAVK+$i HAVK+$i
$PATH_STATS/BKG_ERR_STATS+$j.nc BKG_ERR_STATS+$j.nc
EOL
   cat filelist line > tempo
   mv tempo filelist
  done
  FLIST=`cat filelist`
ftget << EOF  >> /dev/null
$FLIST
EOF
  rm filelist line
 fi
#
 echo '>> ASSIMILATION FILES IN CURRENT DIRECTORY :'
 ls -l HDAT* HCOV* HAVK*
#
fi

