#!/bin/ksh
#
#===================#
# Save output files #
#===================#
#
echo
echo '====================='
echo '>>> Script putdata.sh'
echo '====================='
#
#
# List of history files (HM*)
#----------------------------
LIST=`ls HM* paradi* namelist+$DATEIN+$DATEOUT *.log`
if [ $OBS = .TRUE. ] ; then
 # List of diagnostic files (HDIAG* , HDOM*, HSTAT*)
 #-------------------------------------------
 LIST2=`ls HDIAG*`
 LIST=`echo $LIST $LIST2`
fi
if [ $CASSIM != 0 ] ; then
 LIST3=`ls HDOM* HSTAT*.nc DX*.nc *.ppl *.out assim*`
 LIST=`echo $LIST $LIST3`
fi

#
# Save result files
#------------------
FLAG=0
if [ $STATION_OUTPUT != DELAGE ] ; then
 if [ $PATH_OUTPUT != $PATH_RUN ] ; then
  if [ ! -d $PATH_OUTPUT ] ; then
    echo "Creating $PATH_OUTPUT"
    mkdir -p $PATH_OUTPUT
  fi    
  echo '>> SAVING HISTORY AND DIAGNOSTIC FILES ON : '$PATH_OUTPUT
  for i in $LIST
  do
    for DOM in $LISTDOM
     do
      if [ $i != HM"$DOM"+"$DATEIN" ] ; then
      cp $i $PATH_OUTPUT/$i
     fi
     if [ $i = HM"$DOM"+"$DATEOUT" ] ; then
      cp $i $PATH_HM/$i
     fi
     if [ $? != 0 ] ; then
     FLAG=1
     fi
    done
  done
 fi
#
else
 echo '>> SAVING HISTORY AND DIAGNOSTIC FILES ON delage ON : '$PATH_OUTPUT
 rm -f filelist
 touch filelist
 for i in $LIST
 do
  for DOM in $LISTDOM
  do
   if [ $i != HM"$DOM"+"$DATEIN" ] ; then
cat > line << EOL
$i $PATH_OUTPUT/$i
EOL
    cat filelist line > tempo
    mv tempo filelist
   fi
   if [ $i = HM"$DOM"+"$DATEOUT" ] ; then
cat > line << EOL
$i $PATH_HM/$i
EOL
    cat filelist line > tempo
    mv tempo filelist
   fi
  done
 done
 FLIST=`cat filelist`
ftput << EOF  >> /dev/null
$FLIST
EOF
 if [ $? != 0 ] ; then
  FLAG=1
 fi
 rm filelist line
fi

if [ $FLAG = 0 ] ; then
 rm -r $PATH_WORK
 if [ $STATION_OUTPUT = DELAGE ] ; then
  rm $FTDIR/$JOBID/*
 fi
fi

