#!/bin/ksh
#
echo
echo '======================'
echo '>>> Script GETDATES.sh'
echo '======================'
#
#
# Create the list for split the jobs (used by getsubjob.sh)
$PATH_TOOLS/getdates_AP.sh $DATEIN $DATEOUT $NHCY 5 $NDAYSPLIT > outdates_subjob
#
if [ $? = 0 ] ; then
 echo ">> the file outdates_subjob has been created"
else
 echo ">> the creating of outdates_subjob does not work"
cat > $PATH_RUN/tescontinue << EOL
STOP
EOL
fi
#
#
# Create the list for retrieve the forcing files (used by getFM.sh)
$PATH_TOOLS/getdates_AP.sh $DATEIN $DATEOUT $NHCY 0 > outdates_FM
#
if [ $? = 0 ] ; then
 echo ">> the file outdates_FM has been created"
else
 echo ">> the creating of outdates_FM does not work"
cat > $PATH_RUN/tescontinue << EOL
STOP
EOL
fi
#
#
# Create the list for retrieve the surface exchange files (used by getSM.sh)
$PATH_TOOLS/getdates_AP.sh $DATEIN $DATEOUT $NHCY 1 > outdates_SM
#
if [ $? = 0 ] ; then
 echo ">> the file outdates_SM has been created"
else
 echo ">> the creating of outdates_SM does not work"
cat > $PATH_RUN/tescontinue << EOL
STOP
EOL
fi
#
#
# Create the list for retrieve the history files (used by getHM.sh)
$PATH_TOOLS/getdates_AP.sh $DATEIN $DATEOUT $NHCY 2 > outdates_HMin
#
if [ $? = 0 ] ; then
 echo ">> the file outdates_HMin has been created"
else
 echo ">> the creating of outdates_HMin does not work"
cat > $PATH_RUN/tescontinue << EOL
STOP
EOL
fi
#
if [ $CNETCDF = 1 ] ; then 
#
# Create the list for retrieve the NetCDF input files (used by getNC.sh)
    $PATH_TOOLS/getdates_AP.sh $DATEIN $DATEOUT $NCDF 0 > outdates_NC
#
    if [ $? = 0 ] ; then
	echo ">> the file outdates_NC has been created"
    else
	echo ">> the creating of outdates_NC does not work"
cat > $PATH_RUN/tescontinue << EOL
STOP
EOL
    fi
fi

