#!/bin/ksh
#
#============================================#
# Create the directories if its do not exist #
#============================================#
#
echo
echo '=================-=='
echo '>>> Script getdir.sh'
echo '===================='
#
#
# PATH_MM
#
if [ $STATION_INPUT != DELAGE ] ; then
# if test -d $PATH_HM ; then
 if [ -d $PATH_HM ] ; then
  echo '>> DIRECTORY FOR HM FILES HAS BEEN FOUND : '$PATH_HM
 else
  mkdir -p $PATH_HM
  echo '>> DIRECTORY FOR HM FILES HAS BEEN CREATED : '$PATH_HM
 fi
else

#DIROK=`echo dir | ftp delage | grep MOCAGEHM`
#if test -z "$DIROK" ; then
#ftp delage <<EOF
#mkdir MOCAGEHM 
#EOF
#echo '>> DIRECTORY MOCAGEHM HAS BEEN CREATED ON delage'
#fi
#DIROK=`echo dir MOCAGEHM | ftp delage | grep $NAMEXP`
#if test -n "$DIROK" ; then
#echo '>> DIRECTORY FOR HM FILES EXISTS ON delage : MOCAGEHM/'$NAMEXP
#else
#ftp delage <<EOF
#mkdir MOCAGEHM/$NAMEXP 
#EOF
#echo '>> DIRECTORY FOR HM FILES HAS BEEN CREATED ON delage : MOCAGEHM/'$NAMEXP
#fi

 # ELF
 n=1
 DIR_abs=
 DIR_cut=`expr $PATH_HM | cut -d\/ -f$n`
#DIR_abs=${DIR_cut}
#if [ -z $DIR_cut ] ; then
#n=`expr $n + 1`
#DIR_cut=`expr $PATH_HM | cut -d\/ -f$n`
#DIR_abs=/
#fi
 while [[ -n $DIR_cut ]] ; do
  DIROK=`echo dir $DIR_abs | ftp delage | grep ${DIR_cut}`
  if [ $n -eq 1 ] ; then
   DIR_abs=${DIR_cut}
  else
   DIR_abs=$DIR_abs/${DIR_cut}
  fi
  if test -z "$DIROK" ; then
ftp delage <<EOF
mkdir $DIR_abs
EOF
   echo '>> DIRECTORY FOR HM FILES HAS BEEN CREATED ON delage : '$DIR_abs
  fi
  n=`expr $n + 1`
  DIR_cut=`expr $PATH_HM | cut -d\/ -f$n`
 done

fi

#
# PATH_FM
#
if [ $STATION_INPUT != DELAGE ] ; then
if test -d $PATH_FM ; then
echo '>> DIRECTORY FOR FM FILES HAS BEEN FOUND : '$PATH_FM
else
mkdir -p $PATH_FM
echo '>> DIRECTORY FOR FM FILES HAS BEEN CREATED : '$PATH_FM
fi
else

# ELF
n=1
DIR_abs=
DIR_cut=`expr $PATH_FM | cut -d\/ -f$n`
while [[ -n $DIR_cut ]] ; do
DIROK=`echo dir $DIR_abs | ftp delage | grep ${DIR_cut}`
if [ $n -eq 1 ] ; then
DIR_abs=${DIR_cut}
else
DIR_abs=$DIR_abs/${DIR_cut}
fi
if test -z "$DIROK" ; then
ftp delage <<EOF
mkdir $DIR_abs
EOF
echo '>> DIRECTORY FOR FM FILES HAS BEEN CREATED ON delage : '$DIR_abs
fi
n=`expr $n + 1`
DIR_cut=`expr $PATH_FM | cut -d\/ -f$n`
done

fi
#
# PATH_SM
#
if [ $STATION_INPUT != DELAGE ] ; then
if test -d $PATH_SM ; then
echo '>> DIRECTORY FOR SM FILES HAS BEEN FOUND : '$PATH_SM
else
mkdir -p $PATH_SM
echo '>> DIRECTORY FOR SM FILES HAS BEEN CREATED : '$PATH_SM
fi
else

# ELF
n=1
DIR_abs=
DIR_cut=`expr $PATH_SM | cut -d\/ -f$n`
while [[ -n $DIR_cut ]] ; do
DIROK=`echo dir $DIR_abs | ftp delage | grep ${DIR_cut}`
if [ $n -eq 1 ] ; then
DIR_abs=${DIR_cut}
else
DIR_abs=$DIR_abs/${DIR_cut}
fi
if test -z "$DIROK" ; then
ftp delage <<EOF
mkdir $DIR_abs
EOF
echo '>> DIRECTORY FOR SM FILES HAS BEEN CREATED ON delage : '$DIR_abs
fi
n=`expr $n + 1`
DIR_cut=`expr $PATH_SM | cut -d\/ -f$n`
done

fi

# ELF
#
# PATH_OUTPUT
#
if [ $STATION_OUTPUT != DELAGE ] ; then
if test -d $PATH_OUTPUT ; then
echo '>> DIRECTORY FOR SM FILES HAS BEEN FOUND : '$PATH_OUTPUT
else
mkdir -p $PATH_OUTPUT
echo '>> DIRECTORY FOR SM FILES HAS BEEN CREATED : '$PATH_OUTPUT
fi
else
n=1
DIR_abs=
DIR_cut=`expr $PATH_OUTPUT | cut -d\/ -f$n`
while [[ -n $DIR_cut ]] ; do
DIROK=`echo dir $DIR_abs | ftp delage | grep ${DIR_cut}`
if [ $n -eq 1 ] ; then
DIR_abs=${DIR_cut}
else
DIR_abs=$DIR_abs/${DIR_cut}
fi
if test -z "$DIROK" ; then
ftp delage <<EOF
mkdir $DIR_abs
EOF
echo '>> DIRECTORY FOR SM FILES HAS BEEN CREATED ON delage : '$DIR_abs
fi
n=`expr $n + 1`
DIR_cut=`expr $PATH_OUTPUT | cut -d\/ -f$n`
done

fi

#
# PATHX
#
#if [ $PATHX != DELAGE ] ; then
#if test -d $PATHX/$NAMEXP ; then
#echo '>> DIRECTORY FOR EXEC. FILES HAS BEEN FOUND : '$PATHX/$NAMEXP
#else
#mkdir -p $PATHX/$NAMEXP
#echo '>> DIRECTORY FOR EXEC. FILES HAS BEEN CREATED : '$PATHX/$NAMEXP
#fi
#else
#DIROK=`echo dir | ftp delage | grep MOCAGEXX`
#if test -z "$DIROK" ; then
#ftp delage <<EOF
#mkdir MOCAGEXX
#EOF
#echo '>> DIRECTORY MOCAGEXX HAS BEEN CREATED ON delage'
#fi
#DIROK=`echo dir MOCAGEXX | ftp delage | grep $NAMEXP`
#if test -n "$DIROK" ; then
#echo '>> DIRECTORY FOR EXEC. FILES EXISTS ON delage : MOCAGEXX/'$NAMEXP
#else
#ftp delage <<EOF
#mkdir MOCAGEXX/$NAMEXP
#EOF
#echo '>> DIRECTORY FOR EXEC. FILES HAS BEEN CREATED ON delage : MOCAGEXX/'$NAMEXP
#fi
#fi
#
# PATH_OBS
#
if [ $OBS = .TRUE. ] ; then
if [ $STATION_INPUT != DELAGE ] ; then
if test -d $PATH_OBS ; then
echo '>> DIRECTORY FOR OBS. FILES HAS BEEN FOUND : '$PATH_OBS
else
mkdir -p $PATH_OBS
echo '>> DIRECTORY FOR OBS. FILES HAS BEEN CREATED : '$PATH_OBS
fi
else

# ELF
n=1
DIR_abs=
DIR_cut=`expr $PATH_OBS | cut -d\/ -f$n`
while [[ -n $DIR_cut ]] ; do
DIROK=`echo dir $DIR_abs | ftp delage | grep ${DIR_cut}`
if [ $n -eq 1 ] ; then
DIR_abs=${DIR_cut}
else
DIR_abs=$DIR_abs/${DIR_cut}
fi
if test -z "$DIROK" ; then
ftp delage <<EOF
mkdir $DIR_abs
EOF
echo '>> DIRECTORY FOR OBS FILES HAS BEEN CREATED ON delage : '$DIR_abs
fi
n=`expr $n + 1`
DIR_cut=`expr $PATH_OBS | cut -d\/ -f$n`
done

fi
fi

# ELF
#
# PATH_ASSIM
#
if [ $CASSIM != 0 ] ; then
if [ $STATION_INPUT != DELAGE ] ; then
if test -d $PATH_ASSIM ; then
echo '>> DIRECTORY FOR ASSIM. FILES HAS BEEN FOUND : '$PATH_ASSIM
else
mkdir -p $PATH_ASSIM
echo '>> DIRECTORY FOR ASSIM. FILES DOES NOT EXIST : '$PATH_ASSIM
fi
else

# ELF
n=1
DIR_abs=
DIR_cut=`expr $PATH_ASSIM | cut -d\/ -f$n`
while [[ -n $DIR_cut ]] ; do
DIROK=`echo dir $DIR_abs | ftp delage | grep ${DIR_cut}`
if [ $n -eq 1 ] ; then
DIR_abs=${DIR_cut}
else
DIR_abs=$DIR_abs/${DIR_cut}
fi
if test -z "$DIROK" ; then
echo '>> DIRECTORY FOR ASSIM. FILES DOES NOT EXIST ON delage : '$DIR_abs
fi
n=`expr $n + 1`
DIR_cut=`expr $PATH_ASSIM | cut -d\/ -f$n`
done
if test -n "$DIROK" ; then
echo '>> DIRECTORY FOR ASSIM. FILES HAS BEEN FOUND ON delage : '$DIR_abs
fi

fi
fi
